summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sbin/runscript.sh')
-rwxr-xr-xsbin/runscript.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sbin/runscript.sh b/sbin/runscript.sh
index 558aff3..9614529 100755
--- a/sbin/runscript.sh
+++ b/sbin/runscript.sh
@@ -27,6 +27,14 @@ myservice="${SVCNAME}"
# until after rc sysinit has completed so we punt them to the boot runlevel
if [[ -e /dev/.rcsysinit ]] ; then
eerror "ERROR: cannot run ${SVCNAME} until sysinit completes"
+ [[ ${RC_COLDPLUG} == "no" ]] && exit 1
+ if [[ ${RC_COLDPLUG} != "yes" ]] ; then
+ for x in ${RC_COLDPLUG} ; do
+ # We don't quote ${x} so we can do globbing
+ [[ ${SVCNAME} == ${x} ]] && break
+ [[ "!${SVCNAME}" == ${x} ]] && exit 1
+ done
+ fi
eerror "${SVCNAME} will be started in the ${BOOTLEVEL} runlevel"
if [[ ! -L /dev/.rcboot/"${SVCNAME}" ]] ; then
[[ ! -d /dev/.rcboot ]] && mkdir /dev/.rcboot